r3857 - in trunk/bootscripts: . contrib/init.d contrib/sysconfig lfs/init.d lfs/sysconfig

nathan at linuxfromscratch.org nathan at linuxfromscratch.org
Sun Jun 27 23:32:38 PDT 2004


Author: nathan
Date: 2004-06-28 00:32:36 -0600 (Mon, 28 Jun 2004)
New Revision: 3857

Added:
   trunk/bootscripts/lfs/init.d/modules
   trunk/bootscripts/lfs/sysconfig/modules
Removed:
   trunk/bootscripts/contrib/init.d/modules
   trunk/bootscripts/contrib/sysconfig/modules
Modified:
   trunk/bootscripts/CHANGELOG
   trunk/bootscripts/Makefile
Log:
Moved modules from contrib to lfs

Modified: trunk/bootscripts/CHANGELOG
===================================================================
--- trunk/bootscripts/CHANGELOG	2004-06-27 20:43:38 UTC (rev 3856)
+++ trunk/bootscripts/CHANGELOG	2004-06-28 06:32:36 UTC (rev 3857)
@@ -1,3 +1,7 @@
+n/a - June 27, 2004
+
+	* install the automatic module loading script by default
+
 n/a - June 26, 2004
 
 	* Fixed font for UK in /etc/sysconfig/console

Modified: trunk/bootscripts/Makefile
===================================================================
--- trunk/bootscripts/Makefile	2004-06-27 20:43:38 UTC (rev 3856)
+++ trunk/bootscripts/Makefile	2004-06-28 06:32:36 UTC (rev 3857)
@@ -26,6 +26,7 @@
 	install -m 754 lfs/init.d/halt         ${EXTDIR}/rc.d/init.d/
 	install -m 754 lfs/init.d/console      ${EXTDIR}/rc.d/init.d/
 	install -m 754 lfs/init.d/localnet     ${EXTDIR}/rc.d/init.d/
+	install -m 754 lfs/init.d/modules      ${EXTDIR}/rc.d/init.d
 	install -m 754 lfs/init.d/mountfs      ${EXTDIR}/rc.d/init.d/
 	install -m 754 lfs/init.d/mountkernfs  ${EXTDIR}/rc.d/init.d/
 	install -m 754 lfs/init.d/network      ${EXTDIR}/rc.d/init.d/
@@ -64,6 +65,7 @@
 	ln -sf ../init.d/localnet    ${EXTDIR}/rc.d/rc6.d/S90localnet
 	ln -sf ../init.d/reboot      ${EXTDIR}/rc.d/rc6.d/S99reboot
 	ln -sf ../init.d/mountkernfs ${EXTDIR}/rc.d/rcsysinit.d/S00mountkernfs
+	ln -sf ../init.d/modules     ${EXTDIR}/rc.d/rcsysinit.d/S05modules
 	ln -sf ../init.d/udev        ${EXTDIR}/rc.d/rcsysinit.d/S10udev
 	ln -sf ../init.d/swap        ${EXTDIR}/rc.d/rcsysinit.d/S20swap
 	ln -sf ../init.d/checkfs     ${EXTDIR}/rc.d/rcsysinit.d/S30checkfs
@@ -75,15 +77,11 @@
 	ln -sf ../init.d/localnet    ${EXTDIR}/rc.d/rcsysinit.d/S80localnet
 	install -m 644 lfs/sysconfig/console                         ${EXTDIR}/sysconfig/
 	install -m 644 lfs/sysconfig/createfiles                     ${EXTDIR}/sysconfig/
+	install -m 644 lfs/sysconfig/modules                         ${EXTDIR}/sysconfig
 	install -m 644 lfs/sysconfig/rc                              ${EXTDIR}/sysconfig/
 	install -m 644 lfs/sysconfig/sysklogd                        ${EXTDIR}/sysconfig/
 	install -m 754 lfs/sysconfig/network-devices/ifup            ${EXTDIR}/sysconfig/network-devices
 	install -m 754 lfs/sysconfig/network-devices/ifdown          ${EXTDIR}/sysconfig/network-devices
 	install -m 754 lfs/sysconfig/network-devices/services/static ${EXTDIR}/sysconfig/network-devices/services
 
-install-modules: create-dirs
-	install -m 754 contrib/init.d/modules ${EXTDIR}/rc.d/init.d
-	install -m 644 contrib/sysconfig/modules ${EXTDIR}/sysconfig
-	ln -sf ../init.d/modules ${EXTDIR}/rc.d/rcsysinit.d/S05modules
-
-.PHONY: all create-dirs create-service-dir install install-hotplug install-modules
+.PHONY: all create-dirs create-service-dir install

Deleted: trunk/bootscripts/contrib/init.d/modules
===================================================================
--- trunk/bootscripts/contrib/init.d/modules	2004-06-27 20:43:38 UTC (rev 3856)
+++ trunk/bootscripts/contrib/init.d/modules	2004-06-28 06:32:36 UTC (rev 3857)
@@ -1,63 +0,0 @@
-#!/bin/sh
-# Begin $rc_base/init.d/modules - Module auto-loading script
-
-# Written by Zack Winkles - winkie at linuxfromscratch.org
-
-. /etc/sysconfig/rc
-. $rc_functions
-
-# Assure that the kernel has module support.
-[ -e /proc/ksyms -o -e /proc/modules ] || exit 0
-
-case "$1" in
-	start)
-		# Only try to load modules if the user has actually given us
-		# some modules to load.
-		if egrep -qv '^(#|$)' /etc/sysconfig/modules 2>/dev/null; then
-
-			# Read in the configuration file.
-			exec 9>&0 < /etc/sysconfig/modules
-
-				echo -n "Loading modules:"
-
-				while read module args ; do
-					# Ignore comments and blank lines.
-					case "$module" in
-						""|\#*) continue ;;
-					esac
-
-					# Attempt to load the module, making
-					# sure to pass any arguments provided.
-					modprobe $module $args
-
-					# Print the module name if successful,
-					# otherwise take note.
-					if [ $? -eq 0 ]; then
-						echo -n " $module"
-					else
-						failedmod="$failedmod $module"
-					fi
-				done
-
-				# Print a message about successfully loaded
-				# modules on the correct line.
-				echo ; print_status success
-
-				# Print a failure message with a list of any
-				# modules that may have failed to load.
-				if [ "$failedmod" ]; then
-					echo "Failed to load modules:$failedmod"
-					print_status failure
-				fi
-
-			exec 0>&9 9>&-
-
-		fi
-		;;
-	*)
-		echo "Usage: $0 {start}"
-		exit 1
-		;;
-esac
-
-# End $rc_base/init.d/modules

Deleted: trunk/bootscripts/contrib/sysconfig/modules
===================================================================
--- trunk/bootscripts/contrib/sysconfig/modules	2004-06-27 20:43:38 UTC (rev 3856)
+++ trunk/bootscripts/contrib/sysconfig/modules	2004-06-28 06:32:36 UTC (rev 3857)
@@ -1,10 +0,0 @@
-# Begin /etc/sysconfig/modules - Module auto-loading configuration.
-
-# The syntax of this file is as follows:
-#  <module> [<arg1> <arg2> ...]
-#
-# Each module should be on it's own line, and any options that you want
-# passed to the module should follow it.  The line deliminator is either
-# a space or a tab.
-
-# End /etc/sysconfig/modules

Added: trunk/bootscripts/lfs/init.d/modules
===================================================================
--- trunk/bootscripts/lfs/init.d/modules	2004-06-27 20:43:38 UTC (rev 3856)
+++ trunk/bootscripts/lfs/init.d/modules	2004-06-28 06:32:36 UTC (rev 3857)
@@ -0,0 +1,63 @@
+#!/bin/sh
+# Begin $rc_base/init.d/modules - Module auto-loading script
+
+# Written by Zack Winkles - winkie at linuxfromscratch.org
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+# Assure that the kernel has module support.
+[ -e /proc/ksyms -o -e /proc/modules ] || exit 0
+
+case "$1" in
+	start)
+		# Only try to load modules if the user has actually given us
+		# some modules to load.
+		if egrep -qv '^(#|$)' /etc/sysconfig/modules 2>/dev/null; then
+
+			# Read in the configuration file.
+			exec 9>&0 < /etc/sysconfig/modules
+
+				echo -n "Loading modules:"
+
+				while read module args ; do
+					# Ignore comments and blank lines.
+					case "$module" in
+						""|\#*) continue ;;
+					esac
+
+					# Attempt to load the module, making
+					# sure to pass any arguments provided.
+					modprobe $module $args
+
+					# Print the module name if successful,
+					# otherwise take note.
+					if [ $? -eq 0 ]; then
+						echo -n " $module"
+					else
+						failedmod="$failedmod $module"
+					fi
+				done
+
+				# Print a message about successfully loaded
+				# modules on the correct line.
+				echo ; print_status success
+
+				# Print a failure message with a list of any
+				# modules that may have failed to load.
+				if [ "$failedmod" ]; then
+					echo "Failed to load modules:$failedmod"
+					print_status failure
+				fi
+
+			exec 0>&9 9>&-
+
+		fi
+		;;
+	*)
+		echo "Usage: $0 {start}"
+		exit 1
+		;;
+esac
+
+# End $rc_base/init.d/modules

Added: trunk/bootscripts/lfs/sysconfig/modules
===================================================================
--- trunk/bootscripts/lfs/sysconfig/modules	2004-06-27 20:43:38 UTC (rev 3856)
+++ trunk/bootscripts/lfs/sysconfig/modules	2004-06-28 06:32:36 UTC (rev 3857)
@@ -0,0 +1,10 @@
+# Begin /etc/sysconfig/modules - Module auto-loading configuration.
+
+# The syntax of this file is as follows:
+#  <module> [<arg1> <arg2> ...]
+#
+# Each module should be on it's own line, and any options that you want
+# passed to the module should follow it.  The line deliminator is either
+# a space or a tab.
+
+# End /etc/sysconfig/modules




More information about the lfs-book mailing list